#include <iostream>
#include <algorithm>
using namespace std;
void unosniza(int x[],int n){
    for(int i=0;i<n;i++)
    cin>>x[i];
}
int pozicija(int x[],int n,int a)
{  int i;
    for(i=0;i<n;i++){
        if(a<=x[i])
            return i;
    }
    return i;
}
int main()
{
    int A[200000],B[200000],n,q;
    cin>>n>>q;
    unosniza(A,n);
    unosniza(B,q);
    sort(A,A+n);
    int m=A[n/2];
    for(int i=0;i<q;i++){
            if(B[i]==m)
                cout<<"0\n";
    else{
        if(n%2==1){
                int j=pozicija(A,n,B[i]);
            if(B[i]>m)
                cout<<(j-n/2-1)*2+1<<"\n";
            else

                cout<<(n/2-j)*2+2<<"\n";

        }
        else{   int j=pozicija(A,n,B[i]);
                if(B[i]<m)
                cout<<(n/2-j)*2+1<<"\n";
              else
                    cout<<(j-n/2-1)*2+2<<"\n";

        }

    }
    }
    return 0;


}